"{ Package: 'stx:libbasic3' }"

AbstractSourceCodeManager subclass:#SVNSourceCodeManager
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'System-SourceCodeManagement'
!

!SVNSourceCodeManager class methodsFor:'documentation'!

documentation
"
    For now, this is a dummy SourceCodeManager.
    It is only provided to deliver the correct versionMethodNameTemplates
    and versionMethod names.

    Might get more in the future.
"
! !

!SVNSourceCodeManager class methodsFor:'queries'!

isExperimental
    ^ OperatingSystem getLoginName ~= 'cg'.
    ^ true
!

managerTypeName
    ^ 'SVN'
!

nameOfVersionMethodInClasses
    ^ #'version_SVN'
!

versionMethodTemplateForRuby
    ^
'def self.version_SVN()
    return "$' , 'Id' , '$"
end'

    "Created: / 16-08-2009 / 12:56:45 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 16-08-2009 / 19:26:30 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

versionMethodTemplateForSmalltalk
    ^
'version_SVN
    ^''$', 'Id' , '$''
'

    "Created: / 16-08-2009 / 12:56:45 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 16-08-2009 / 19:26:02 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!SVNSourceCodeManager class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/Attic/SVNSourceCodeManager.st,v 1.3 2009-09-23 19:59:25 cg Exp $'
! !
